﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Text;
namespace HeuristicLab.Clients.Hive.CloudManager.Azure {
  public static class Utils {
    public static string ConvertToBase64String(string value) {
      byte[] bytes = Encoding.UTF8.GetBytes(value);
      string base64String = Convert.ToBase64String(bytes);
      return base64String;
    }

    public static string ConvertFromBase64String(string base64Value) {
      Byte[] bytes = Convert.FromBase64String(base64Value);
      string value = Encoding.UTF8.GetString(bytes);
      return value;
    }
  }
}
